## org.apache.html.dom
Class HTMLFormElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLFormElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLFormElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLFormElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLFormElement

Version:
  $Revision: 1029415 $ $Date: 2010-10-31 13:02:22 -0400 (Sun, 31 Oct 2010) $
Author:
  Assaf Arkin
See Also:
  `HTMLFormElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLFormElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`org.w3c.dom.Node` `cloneNode(boolean deep)` Explicit implementation of cloneNode() to ensure that cache used for getElements() gets cleared.
`java.lang.String` `getAcceptCharset()`
`java.lang.String` `getAction()`
`org.w3c.dom.NodeList` `getChildNodes()` Obtain a NodeList enumerating all children of this node.
`org.w3c.dom.html.HTMLCollection` `getElements()`
`java.lang.String` `getEnctype()`
`int` `getLength()` NodeList method: Count the immediate children of this node
`java.lang.String` `getMethod()`
`java.lang.String` `getName()`
`java.lang.String` `getTarget()`
`void` `reset()`
`void` `setAcceptCharset(java.lang.String acceptCharset)`
`void` `setAction(java.lang.String action)`
`void` `setEnctype(java.lang.String enctype)`
`void` `setMethod(java.lang.String method)`
`void` `setName(java.lang.String name)`
`void` `setTarget(java.lang.String target)`
`void` `submit()`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getContentDocument, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodesUnoptimized, getFirstChild, getLastChild, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLFormElementImpl

    public HTMLFormElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getElements

    public org.w3c.dom.html.HTMLCollection getElements()

  Specified by:
    `getElements` in interface `org.w3c.dom.html.HTMLFormElement`

### getLength

    public int getLength()

  Description copied from class: `org.apache.xerces.dom.ParentNode`
  NodeList method: Count the immediate children of this node

  Specified by:
    `getLength` in interface `org.w3c.dom.html.HTMLFormElement`
  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`
  Overrides:
    `getLength` in class `org.apache.xerces.dom.ParentNode`
  Returns:
    int
  See Also:
    `ParentNode`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLFormElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLFormElement`

### getAcceptCharset

    public java.lang.String getAcceptCharset()

  Specified by:
    `getAcceptCharset` in interface `org.w3c.dom.html.HTMLFormElement`

### setAcceptCharset

    public void setAcceptCharset(java.lang.String acceptCharset)

  Specified by:
    `setAcceptCharset` in interface `org.w3c.dom.html.HTMLFormElement`

### getAction

    public java.lang.String getAction()

  Specified by:
    `getAction` in interface `org.w3c.dom.html.HTMLFormElement`

### setAction

    public void setAction(java.lang.String action)

  Specified by:
    `setAction` in interface `org.w3c.dom.html.HTMLFormElement`

### getEnctype

    public java.lang.String getEnctype()

  Specified by:
    `getEnctype` in interface `org.w3c.dom.html.HTMLFormElement`

### setEnctype

    public void setEnctype(java.lang.String enctype)

  Specified by:
    `setEnctype` in interface `org.w3c.dom.html.HTMLFormElement`

### getMethod

    public java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `org.w3c.dom.html.HTMLFormElement`

### setMethod

    public void setMethod(java.lang.String method)

  Specified by:
    `setMethod` in interface `org.w3c.dom.html.HTMLFormElement`

### getTarget

    public java.lang.String getTarget()

  Specified by:
    `getTarget` in interface `org.w3c.dom.html.HTMLFormElement`

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    `setTarget` in interface `org.w3c.dom.html.HTMLFormElement`

### submit

    public void submit()

  Specified by:
    `submit` in interface `org.w3c.dom.html.HTMLFormElement`

### reset

    public void reset()

  Specified by:
    `reset` in interface `org.w3c.dom.html.HTMLFormElement`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Description copied from class: `org.apache.xerces.dom.ParentNode`
  Obtain a NodeList enumerating all children of this node. If there are none, an (initially) empty NodeList is returned.

  NodeLists are "live"; as children are added/removed the NodeList will immediately reflect those changes. Also, the NodeList refers to the actual nodes, so changes to those nodes made via the DOM tree will be reflected in the NodeList and vice versa.

  In this implementation, Nodes implement the NodeList interface and provide their own getChildNodes() support. Other DOMs may solve this differently.

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `getChildNodes` in class `org.apache.xerces.dom.ParentNode`

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Explicit implementation of cloneNode() to ensure that cache used for getElements() gets cleared.

  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`
  Overrides:
    `cloneNode` in class `org.apache.xerces.dom.ElementImpl`
  See Also:
    `Node.cloneNode(boolean)`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.